using UnityEngine;
using System.Collections;

public class SpawnerManager : MonoBehaviour {

	private static SpawnerManager Instance;

	// This is an array of spawner candidates.
	// Easy does it.
	[SerializeField]
	private GameObject[] spawnObjects;

	// Use this for initialization
	void Awake () {
		// Psuedo Singleton.
		// Just leave the latest Instance enabled. Disable the others.
			// This doesn't promise us anything.
			// But, it's a bit of reassurance.

		if (Instance) {
			Instance.enabled = false;
		}

		Instance = this;
	}
	
	// Update is called once per frame
	void Update () {
	
	}
}
